import { MCommentOwner, MCommentOwnerVideo, MVideoAccountLightBlacklistAllFiles } from '../../types/models/video';
declare type ResolveThreadParams = {
    url: string;
    comments?: MCommentOwner[];
    isVideo?: boolean;
    commentCreated?: boolean;
};
declare type ResolveThreadResult = Promise<{
    video: MVideoAccountLightBlacklistAllFiles;
    comment: MCommentOwnerVideo;
    commentCreated: boolean;
}>;
declare function addVideoComments(commentUrls: string[]): Promise<void[]>;
declare function resolveThread(params: ResolveThreadParams): ResolveThreadResult;
export { addVideoComments, resolveThread };
//# sourceMappingURL=video-comments.d.ts.map