declare class LiveSegmentShaStore {
    private static instance;
    private readonly segmentsSha256;
    private constructor();
    getSegmentsSha256(videoUUID: string): Map<string, string>;
    addSegmentSha(videoUUID: string, segmentPath: string): Promise<void>;
    removeSegmentSha(videoUUID: string, segmentPath: string): void;
    cleanupShaSegments(videoUUID: string): void;
    static get Instance(): LiveSegmentShaStore;
}
export { LiveSegmentShaStore };
//# sourceMappingURL=live-segment-sha-store.d.ts.map