import { Meter } from '@opentelemetry/api-metrics';
import { MVideoImmutable } from '../../../types/models';
import { PlaybackMetricCreate } from '../../../../shared/models';
export declare class PlaybackMetrics {
    private readonly meter;
    private errorsCounter;
    private resolutionChangesCounter;
    private downloadedBytesP2PCounter;
    private uploadedBytesP2PCounter;
    private downloadedBytesHTTPCounter;
    constructor(meter: Meter);
    buildCounters(): void;
    observe(video: MVideoImmutable, metrics: PlaybackMetricCreate): void;
}
//# sourceMappingURL=playback-metrics.d.ts.map