import express from 'express';
import { Socket } from 'socket.io';
declare function authenticate(req: express.Request, res: express.Response, next: express.NextFunction, authenticateInQuery?: boolean): void;
declare function authenticateSocket(socket: Socket, next: (err?: any) => void): void;
declare function authenticatePromise(req: express.Request, res: express.Response, authenticateInQuery?: boolean): Promise<void>;
declare function optionalAuthenticate(req: express.Request, res: express.Response, next: express.NextFunction): void;
export { authenticate, authenticateSocket, authenticatePromise, optionalAuthenticate };
//# sourceMappingURL=auth.d.ts.map