import express from 'express';
declare const usersListValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => void))[];
declare const usersAddValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersRegisterValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersRemoveValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersBlockingValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const deleteMeValidator: ((req: express.Request, res: express.Response, next: express.NextFunction) => void)[];
declare const usersUpdateValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersUpdateMeValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersGetValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersVideoRatingValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersVideosValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const ensureUserRegistrationAllowed: ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>)[];
declare const ensureUserRegistrationAllowedForIP: ((req: express.Request, res: express.Response, next: express.NextFunction) => void)[];
declare const usersAskResetPasswordValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void | express.Response<any>>))[];
declare const usersResetPasswordValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const usersAskSendVerifyEmailValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void | express.Response<any>>))[];
declare const usersVerifyEmailValidator: (import("express-validator").ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const userAutocompleteValidator: import("express-validator").ValidationChain[];
declare const ensureAuthUserOwnsAccountValidator: ((req: express.Request, res: express.Response, next: express.NextFunction) => void)[];
declare const ensureCanManageChannelOrAccount: ((req: express.Request, res: express.Response, next: express.NextFunction) => void)[];
declare const ensureCanModerateUser: ((req: express.Request, res: express.Response, next: express.NextFunction) => void)[];
export { usersListValidator, usersAddValidator, deleteMeValidator, usersRegisterValidator, usersBlockingValidator, usersRemoveValidator, usersUpdateValidator, usersUpdateMeValidator, usersVideoRatingValidator, ensureUserRegistrationAllowed, ensureUserRegistrationAllowedForIP, usersGetValidator, usersVideosValidator, usersAskResetPasswordValidator, usersResetPasswordValidator, usersAskSendVerifyEmailValidator, usersVerifyEmailValidator, userAutocompleteValidator, ensureAuthUserOwnsAccountValidator, ensureCanModerateUser, ensureCanManageChannelOrAccount };
//# sourceMappingURL=users.d.ts.map