import { PickWith } from '../../../../shared/typescript-utils';
import { VideoBlacklistModel } from '../../../models/video/video-blacklist';
import { MVideo, MVideoFormattable } from './video';
declare type Use<K extends keyof VideoBlacklistModel, M> = PickWith<VideoBlacklistModel, K, M>;
export declare type MVideoBlacklist = Omit<VideoBlacklistModel, 'Video'>;
export declare type MVideoBlacklistLight = Pick<MVideoBlacklist, 'id' | 'reason' | 'unfederated'>;
export declare type MVideoBlacklistUnfederated = Pick<MVideoBlacklist, 'unfederated'>;
export declare type MVideoBlacklistLightVideo = MVideoBlacklistLight & Use<'Video', MVideo>;
export declare type MVideoBlacklistVideo = MVideoBlacklist & Use<'Video', MVideo>;
export declare type MVideoBlacklistFormattable = MVideoBlacklist & Use<'Video', MVideoFormattable>;
export {};
//# sourceMappingURL=video-blacklist.d.ts.map