import { AvailableEncoders } from '../../../shared/models';
declare function cutVideo(options: {
    inputPath: string;
    outputPath: string;
    start?: number;
    end?: number;
}): Promise<void>;
declare function addWatermark(options: {
    inputPath: string;
    watermarkPath: string;
    outputPath: string;
    availableEncoders: AvailableEncoders;
    profile: string;
}): Promise<void>;
declare function addIntroOutro(options: {
    inputPath: string;
    introOutroPath: string;
    outputPath: string;
    type: 'intro' | 'outro';
    availableEncoders: AvailableEncoders;
    profile: string;
}): Promise<void>;
export { cutVideo, addIntroOutro, addWatermark };
//# sourceMappingURL=ffmpeg-edition.d.ts.map