import { FfmpegCommand } from 'fluent-ffmpeg';
import { AvailableEncoders, LiveVideoLatencyMode } from '../../../shared/models';
declare function getLiveTranscodingCommand(options: {
    inputUrl: string;
    outPath: string;
    masterPlaylistName: string;
    latencyMode: LiveVideoLatencyMode;
    resolutions: number[];
    fps: number;
    bitrate: number;
    ratio: number;
    availableEncoders: AvailableEncoders;
    profile: string;
}): Promise<FfmpegCommand>;
declare function getLiveMuxingCommand(options: {
    inputUrl: string;
    outPath: string;
    masterPlaylistName: string;
    latencyMode: LiveVideoLatencyMode;
}): FfmpegCommand;
declare function getLiveSegmentTime(latencyMode: LiveVideoLatencyMode): number;
export { getLiveSegmentTime, getLiveTranscodingCommand, getLiveMuxingCommand };
//# sourceMappingURL=ffmpeg-live.d.ts.map