import { Transaction } from 'sequelize/types';
import { MActorImages } from '../../../types/models';
import { ActorImageType } from '../../../../shared/models';
declare type ImageInfo = {
    name: string;
    fileUrl: string;
    height: number;
    width: number;
    onDisk?: boolean;
};
declare function updateActorImages(actor: MActorImages, type: ActorImageType, imagesInfo: ImageInfo[], t: Transaction): Promise<MActorImages>;
declare function deleteActorImages(actor: MActorImages, type: ActorImageType, t: Transaction): Promise<MActorImages>;
export { ImageInfo, updateActorImages, deleteActorImages };
//# sourceMappingURL=image.d.ts.map