import { MVideo } from '../../../../types/models';
import { VideoObject } from '../../../../../shared/models';
declare type SyncParam = {
    rates: boolean;
    shares: boolean;
    comments: boolean;
    thumbnail: boolean;
    refreshVideo?: boolean;
};
declare function syncVideoExternalAttributes(video: MVideo, fetchedVideo: VideoObject, syncParam: SyncParam): Promise<void>;
declare function updateVideoRates(video: MVideo, fetchedVideo: VideoObject): Promise<void>;
export { SyncParam, syncVideoExternalAttributes, updateVideoRates };
//# sourceMappingURL=video-sync-attributes.d.ts.map