declare type BucketInfo = {
    BUCKET_NAME: string;
    PREFIX?: string;
};
declare function storeObject(options: {
    inputPath: string;
    objectStorageKey: string;
    bucketInfo: BucketInfo;
}): Promise<string>;
declare function removeObject(filename: string, bucketInfo: BucketInfo): Promise<import("@aws-sdk/client-s3").DeleteObjectCommandOutput>;
declare function removePrefix(prefix: string, bucketInfo: BucketInfo): Promise<void>;
declare function makeAvailable(options: {
    key: string;
    destination: string;
    bucketInfo: BucketInfo;
}): Promise<void>;
declare function buildKey(key: string, bucketInfo: BucketInfo): string;
export { BucketInfo, buildKey, storeObject, removeObject, removePrefix, makeAvailable };
//# sourceMappingURL=object-storage-helpers.d.ts.map