import * as Sequelize from 'sequelize';
import express from 'express';
import { ResultList } from '../../shared/models';
import { VideoCommentThreadTree } from '../../shared/models/videos/comment/video-comment.model';
import { VideoCommentModel } from '../models/video/video-comment';
import { MAccountDefault, MComment, MCommentOwnerVideo, MCommentOwnerVideoReply, MVideoFullLight } from '../types/models';
declare function removeComment(videoCommentInstance: MCommentOwnerVideo, req: express.Request, res: express.Response): Promise<void>;
declare function createVideoComment(obj: {
    text: string;
    inReplyToComment: MComment | null;
    video: MVideoFullLight;
    account: MAccountDefault;
}, t: Sequelize.Transaction): Promise<MCommentOwnerVideoReply>;
declare function buildFormattedCommentTree(resultList: ResultList<VideoCommentModel>): VideoCommentThreadTree;
export { removeComment, createVideoComment, buildFormattedCommentTree };
//# sourceMappingURL=video-comment.d.ts.map