import { VideoChannelSyncModel } from '../../../models/video/video-channel-sync';
import { FunctionProperties, PickWith } from '../../../../shared/typescript-utils';
import { MChannelAccountDefault, MChannelFormattable } from './video-channels';
declare type Use<K extends keyof VideoChannelSyncModel, M> = PickWith<VideoChannelSyncModel, K, M>;
export declare type MChannelSync = Omit<VideoChannelSyncModel, 'VideoChannel'>;
export declare type MChannelSyncChannel = MChannelSync & Use<'VideoChannel', MChannelAccountDefault> & FunctionProperties<VideoChannelSyncModel>;
export declare type MChannelSyncFormattable = FunctionProperties<MChannelSyncChannel> & Use<'VideoChannel', MChannelFormattable> & MChannelSync;
export {};
//# sourceMappingURL=video-channel-sync.d.ts.map